Draft journal entries are visible to others

Bug #1387858 reported by Kristina Hoeppner on 2014-10-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.10
High
Son Nguyen
1.8
High
Unassigned
1.9
High
Unassigned

Bug Description

confirmed for master (15.04), 1.10, 1.9 and 1.8

When a user creates a journal entry as draft and puts that into a page, it is also visible to other users when they have access to the page.

When the user puts the entire journal into a page (or tagged journal entries), the draft entry is not visible because it is in draft status.

There are two possibilities as far as I can see right now:

1.
Do not allow users to include journal entries that are in draft status into a page (and mention that in the block pop-up so they don't wonder why draft entries do not show up).

2.
The block "Journal entry" needs to be changed so that draft entries are only visible to the author at most but not other users on the page. This should also include some visual indicator as we have in the journal itself for the draft. "Draft" could also be mentioned next to the title of the journal entry when selecting it in the block pop-up.

I tend towards option 1 as that is cleaner and more in line with the behavior of the other blocks. We should then also mention on the other blocks that draft entries are not displayed.

Son Nguyen (ngson2000) wrote :

Hi Kristina,

If you go for option 1, what would be seen if you added a published journal entry into a page and then you changed it to draft.
I'd go for option 2 because a mahara user may want to add a draft entry in a page and then publish it when it's ready.

If a published journal entry is reverted to draft it would not be visible on the page anymore like in the block when an entire journal is put into the page.

If we go with option 2 then it may not be very clear to users what others see as "Draft" may not give enough information and we can't really put much more on there. A user might forget that a journal entry is in draft status and thus not visible to other users. If we allowed to have a draft entry visible to others on the page, we would effectively eventually have to create a mode where users can see the page as others would see them in order to really know what others can see.

That's why I favor option 1. It has fewer possibilities for confusion.

Aaron Wells (u-aaronw) wrote :

I think it would avoid the most confusion if we prevent users from selecting a Draft journal entry in the first place. However, we do have to address the fact that a user can select a journal entry and then unpublish it, leaving a journal entry block with a draft journal entry selected.

So the full solution would be something like this:

1. In the artefact selector for the journal entry block, we prevent the user from selecting any Draft journal entries

2. AND if they select a Published journal entry, and then change that entry back to Draft later, we no longer display the journal entry's content in the block.

2a. Instead we show a placeholder that says something like "This journal entry has not yet been published."

2b. We should show that same placeholder to the journal owner themselves, as well. That'll make it crystal clear to them that the entry is not visible. Maybe we also give them a link to the journal entry's artefact page so that they can publish it there.

Son Nguyen (ngson2000) wrote :

Thank Aaron, that is clear for me. I'll implement it.

Changed in mahara:
assignee: nobody → Son Nguyen (ngson2000)
status: Confirmed → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/4138

Reviewed: https://reviews.mahara.org/4132
Committed: http://gitorious.org/mahara/mahara/commit/72f2f8413358f31390763344fc2963da97d1e1c7
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 72f2f8413358f31390763344fc2963da97d1e1c7
Author: Son Nguyen <email address hidden>
Date: Fri Jan 9 12:06:35 2015 +1300

Make sure draft post not visible. Bug 1387858

- Filter out draft posts when editing the blogpost block
- Don't display the post's content if it is unpublished

Change-Id: Iaaf92f29383e2f3997e214b052dd116005a971dd
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2015-01-12
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/4138
Committed: http://gitorious.org/mahara/mahara/commit/90b5f72052038a85372dd4851e8144ba8ab16622
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 90b5f72052038a85372dd4851e8144ba8ab16622
Author: Son Nguyen <email address hidden>
Date: Fri Jan 9 12:06:35 2015 +1300

Make sure draft post not visible. Bug 1387858

- Filter out draft posts when editing the blogpost block
- Don't display the post's content if it is unpublished

Change-Id: Iaaf92f29383e2f3997e214b052dd116005a971dd
Signed-off-by: Son Nguyen <email address hidden>

Reviewed: https://reviews.mahara.org/4139
Committed: http://gitorious.org/mahara/mahara/commit/659664be7e0c134613c2371dadd969d02ec0387c
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 659664be7e0c134613c2371dadd969d02ec0387c
Author: Son Nguyen <email address hidden>
Date: Fri Jan 9 12:06:35 2015 +1300

Make sure draft post not visible. Bug 1387858

- Filter out draft posts when editing the blogpost block
- Don't display the post's content if it is unpublished

Change-Id: Iaaf92f29383e2f3997e214b052dd116005a971dd
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4140
Committed: http://gitorious.org/mahara/mahara/commit/6faed3f7b20ea23cba9f32ad9eebb81c8e46d43a
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit 6faed3f7b20ea23cba9f32ad9eebb81c8e46d43a
Author: Son Nguyen <email address hidden>
Date: Fri Jan 9 12:06:35 2015 +1300

Make sure draft post not visible. Bug 1387858

- Filter out draft posts when editing the blogpost block
- Don't display the post's content if it is unpublished

Change-Id: Iaaf92f29383e2f3997e214b052dd116005a971dd
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/7486
Committed: https://git.mahara.org/mahara/mahara/commit/6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Feb 21 15:23:47 2017 +1300

Bug 1666099: Draft journal entries should be hidden

When a journal entry is marked as draft,
we can't add it to a block
we don't show it in a page, instead we show a
placeholder with a message
see bug 1387858

Change-Id: I73c475bbc6baddc0dc38c9e7a2c3c60b24a617b4
behatnotneeded

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7515

Mahara Bot (dev-mahara) wrote :

Patch for "16.10_STABLE" branch: https://reviews.mahara.org/7516

Reviewed: https://reviews.mahara.org/7516
Committed: https://git.mahara.org/mahara/mahara/commit/194f49219561f8257c9b79364b5861440ad9a271
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 194f49219561f8257c9b79364b5861440ad9a271
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Feb 21 15:23:47 2017 +1300

Bug 1666099: Draft journal entries should be hidden

When a journal entry is marked as draft,
we can't add it to a block
we don't show it in a page, instead we show a
placeholder with a message
see bug 1387858

Change-Id: I73c475bbc6baddc0dc38c9e7a2c3c60b24a617b4
behatnotneeded
(cherry picked from commit 6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7514
Committed: https://git.mahara.org/mahara/mahara/commit/bafe77172c028c98df2077e2fd580afc297a8300
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit bafe77172c028c98df2077e2fd580afc297a8300
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Feb 21 15:23:47 2017 +1300

Bug 1666099: Draft journal entries should be hidden

When a journal entry is marked as draft,
we can't add it to a block
we don't show it in a page, instead we show a
placeholder with a message
see bug 1387858

Change-Id: I73c475bbc6baddc0dc38c9e7a2c3c60b24a617b4
behatnotneeded
(cherry picked from commit 6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7515
Committed: https://git.mahara.org/mahara/mahara/commit/f78caa47ca228bba6cc88ae6e70c688d0a8bf3c9
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit f78caa47ca228bba6cc88ae6e70c688d0a8bf3c9
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Feb 21 15:23:47 2017 +1300

Bug 1666099: Draft journal entries should be hidden

When a journal entry is marked as draft,
we can't add it to a block
we don't show it in a page, instead we show a
placeholder with a message
see bug 1387858

Change-Id: I73c475bbc6baddc0dc38c9e7a2c3c60b24a617b4
behatnotneeded
(cherry picked from commit 6eb1dde2e5eeb8c258f936ad9785a5cda9bcee2e)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers